#!/usr/bin/perl -w
# $Id: Config.pm,v 1.19 2001/10/06 01:24:42 pbaltz Exp $


package Sauce::Config;

use File::Path;

sub VERSION { 
	my $id = q$Revision: 1.19 $;
  my ($vernum) = ($id =~ m/([\d\.]+)/);
  return $vernum;
}

# configurable parameters
sub WWW_group_id { 11; }
sub WWW_user { return 'httpd'; }
sub groupdir_owner { return 'admin'; }
sub admin_user { 'admin'; }
sub homedir_base { '/home/users'; }
sub groupdir_base { '/home/groups'; }
sub default_shell { '/bin/usersh'; }
sub bad_shell { return '/bin/badsh'; }
sub webdir { return 'web'; }
sub site_adm_group { return 'site-adm'; };
sub first_uid { return 110; }
sub first_gid { return 110; }
sub bytes_per_block { return 1024; }

# directories where I expect to find certain utilities
sub bin_htpasswd { '/usr/bin/htpasswd'; }
sub bin_sendmail { '/usr/sbin/sendmail'; }

# permissions
sub perm_UserBaseDir { 0755; }
sub perm_UserDir { 02751; }
sub perm_GroupDir { 02775; }
sub perm_UserPrivDir { 02700; }

# Global file locations. NOT for location used in only one handler or module.

sub dir_Cron_basedir { return "/etc/cron."; }
sub dir_Cron_intervals { return ('quarter-hourly','half-hourly','hourly','quarter-daily','daily','weekly','monthly','never'); }

# okay
1;
